### Function

# Babl palette_set_palette

#### Declaration [src]

    void
    babl_palette_set_palette (
      const Babl* babl,
      const Babl* format,
      void* data,
      int count
    )

#### Description [src]

Assign a palette to a palette format, the data is a single span of pixels representing the colors of the palette.

#### Parameters

`babl`

  Type: `Babl`

  A `Babl`.

  The data is owned by the caller of the function.

`format`

  Type: `Babl`

  The pixel format.

  The data is owned by the caller of the function.

`data`

  Type: An array of `guint8`

  The pixel data.

  The data is owned by the caller of the function.

`count`

  Type: `int`

  The number of pixels in `data`.